// Copyright (c) 2011-2015 The Bitcoin Core developers
// Copyright (c) 2015-2017 The Bitcoin Unlimited developers
// Distributed under the MIT software license, see the accompanying
// file COPYING or http://www.opensource.org/licenses/mit-license.php.

#include "tokendisplaytreewidget.h"
#include "tokendisplaydialog.h"

TokenDisplayTreeWidget::TokenDisplayTreeWidget(QWidget *parent) : QTreeWidget(parent) {}
void TokenDisplayTreeWidget::keyPressEvent(QKeyEvent *event)
{
    if (event->key() == Qt::Key_Space) // press spacebar -> select checkbox
    {
        event->ignore();
        int COLUMN_CHECKBOX = 0;
        if (this->currentItem())
        {
            this->currentItem()->setCheckState(COLUMN_CHECKBOX,
                ((this->currentItem()->checkState(COLUMN_CHECKBOX) == Qt::Checked) ? Qt::Unchecked : Qt::Checked));
        }
    }
    else if (event->key() == Qt::Key_Escape) // press esc -> close dialog
    {
        event->ignore();
        TokenDisplayDialog *tokenDisplayDialog = (TokenDisplayDialog *)this->parentWidget();
        tokenDisplayDialog->done(QDialog::Accepted);
    }
    else
    {
        this->QTreeWidget::keyPressEvent(event);
    }
}
