// Copyright (c) 2011-2015 The Bitcoin Core developers
// Copyright (c) 2015-2022 The Bitcoin Unlimited developers
// Distributed under the MIT software license, see the accompanying
// file COPYING or http://www.opensource.org/licenses/mit-license.php.

//
// Unit tests for block-chain checkpoints
//

#include "checkpoints.h"

#include "chainparams.h"
#include "test/test_nexa.h"
#include "uint256.h"

#include <boost/test/unit_test.hpp>

using namespace std;

BOOST_FIXTURE_TEST_SUITE(Checkpoints_tests, TestChain100Setup)

BOOST_AUTO_TEST_CASE(sanity)
{
#if 0 // TODO: Right now, no checkpoints defined

    // Test Get Total Block Estimate
    const CCheckpointData &checkpoints = Params(CBaseChainParams::NEXA).Checkpoints();
    BOOST_CHECK(Checkpoints::GetTotalBlocksEstimate(checkpoints) >= 134444);


    // Test the finding of the last checkpoint
    uint256 hash1 = chainActive.Tip()->pprev->pprev->GetBlockHash();
    uint256 hash2 = chainActive.Tip()->pprev->GetBlockHash();
    uint256 hash_last_checkpoint = chainActive.Tip()->GetBlockHash();

    CCheckpointData checkpoints2;
    checkpoints2.mapCheckpoints[1] = hash1;
    checkpoints2.mapCheckpoints[2] = hash2;
    checkpoints2.mapCheckpoints[3] = hash_last_checkpoint;

    CBlockIndex *pindex2 = Checkpoints::GetLastCheckpoint(checkpoints2);
    BOOST_CHECK(pindex2 != nullptr);
    if (pindex2)
    {
        BOOST_CHECK(pindex2->GetBlockHash() == hash_last_checkpoint);
    }
#endif
}

BOOST_AUTO_TEST_SUITE_END()
